aboutsummaryrefslogtreecommitdiff
path: root/mail/drac/files
diff options
context:
space:
mode:
authorDavid W. Chapman Jr. <dwcjr@FreeBSD.org>2001-08-23 18:27:46 +0000
committerDavid W. Chapman Jr. <dwcjr@FreeBSD.org>2001-08-23 18:27:46 +0000
commitd58016fcb49b917f9c38c323f67565eba8bb82ee (patch)
treeeaa02d175342e29996ac50863495df7b14a1cac7 /mail/drac/files
parentee15ec150ff05800f48faa2b5ed31784ea8bb524 (diff)
downloadports-d58016fcb49b917f9c38c323f67565eba8bb82ee.tar.gz
ports-d58016fcb49b917f9c38c323f67565eba8bb82ee.zip
Add dracd.sh startup script
Make the rpc.dracd daemon detach upon start Bump PORTREVISION PR: 29474 Submitted by: maintainer
Notes
Notes: svn path=/head/; revision=46734
Diffstat (limited to 'mail/drac/files')
-rw-r--r--mail/drac/files/dracd.sh20
-rw-r--r--mail/drac/files/patch-aa9
2 files changed, 26 insertions, 3 deletions
diff --git a/mail/drac/files/dracd.sh b/mail/drac/files/dracd.sh
new file mode 100644
index 000000000000..902ccdf7ae9c
--- /dev/null
+++ b/mail/drac/files/dracd.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/rpc.dracd ] && ${PREFIX}/sbin/rpc.dracd && echo -n ' dracd'
+ ;;
+stop)
+ killall rpc.dracd >/dev/null 2>&1 && echo -n ' dracd'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0
diff --git a/mail/drac/files/patch-aa b/mail/drac/files/patch-aa
index 3887bad3723d..ad90fdf1290b 100644
--- a/mail/drac/files/patch-aa
+++ b/mail/drac/files/patch-aa
@@ -1,5 +1,5 @@
--- Makefile.orig Mon Nov 20 16:35:16 2000
-+++ Makefile Sun Apr 29 20:38:47 2001
++++ Makefile Mon Aug 6 00:28:52 2001
@@ -5,9 +5,10 @@
# Paths
@@ -14,7 +14,7 @@
# OS-Dependant settings
-@@ -33,20 +34,32 @@
+@@ -33,20 +34,35 @@
# -DCIDR_KEY # keys in CIDR format
# -DTERM_KD # keys and data nul-terminated
@@ -32,6 +32,9 @@
+.else
+DEFS= $(RPCFLAGS) -DFLOCK_LOCK -DGETHOST -DDASH_C
+.endif
++.if defined(WITH_FOREGROUND)
++DEFS+= -DRPC_SVC_FG
++.endif
# Compiler flags
CC = cc
@@ -49,7 +52,7 @@
-#RPCGENFLAGS = -C
+TSTLIBS = -L. -ldrac
+#RPCGENFLAGS =
-+RPCGENFLAGS = -C
++RPCGENFLAGS = -C -I
# Man sections
MANLIB = 3